<!-- <nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar"
                aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="#">Project name</a>
        </div>
        <div id="navbar" class="collapse navbar-collapse">
            <ul class="nav navbar-nav">
                <li class="active"><a href="#">Home</a></li>
                <li><a href="#about">About</a></li>
                <li><a href="#contact">Contact</a></li>
            </ul>
        </div>
    </div>
</nav> -->


<div class="container">

    <div>
        <h1>You can edit your text here...</h1>
    </div>

    <app-text-editor (onWordSelected)="onWordSelected($event)" [updateSelectedWord]="updateWord"></app-text-editor>

    <br>

    <div class="row">
        <div class="col-md-12">
            <div class="dropdown">
                <button class="btn btn-default dropdown-toggle" type="button" data-toggle="dropdown">
                    Synonyms
                    <span class="caret"></span>
                </button>
                <ul class="dropdown-menu">
                    <li *ngFor="let syn of syns | async"><a href="#" (click)="changeWord(syn.word)">{{syn.word}}</a></li>
                </ul>
            </div>
        </div>
    </div>
</div>